KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSeparator Class Reference

`from PyKDE4.kdeui import *`

Inherits: QFrame → QWidget → QObject

## Detailed Description

Standard horizontal or vertical separator.

"KDE Separator with horizontal orientation"

"KDE Separator with vertical orientation"

Author:
  Michael Roth <mroth@wirlweb.de>

## Methods
| __init__ (self, QWidget parent=0, Qt::WFlags f=0)
| __init__ (self, Qt::Orientation orientation, QWidget parent=0, Qt::WFlags f=0)
Qt::Orientation | orientation (self)
| setOrientation (self, Qt::Orientation orientation)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WFlags | f=0
| ) |  |  |

Constructor.

Parameters:

  | parent | parent object.
  | f | extra QWidget flags.

__init__ | ( | self, |
|  | Qt::Orientation | orientation,
|  | QWidget | parent=0,
|  | Qt::WFlags | f=0
| ) |  |  |

Constructor.

Parameters:

  | orientation | Set the orientation of the separator. Possible values are Horizontal or Vertical.
  | parent | parent object.
  | f | extra QWidget flags.

Qt::Orientation orientation | ( |  | self ) |

Returns the orientation of the separator.

Returns:
  int Possible values Horizontal or Vertical.

setOrientation | ( | self, |
|  | Qt::Orientation | orientation
| ) |  |  |

Set the orientation of the separator to orientation

Parameters:

  | orientation | Possible values are Vertical and Horizontal.